Summary: A utility for creating TTY dialog boxes.
Name: cdialog
Version: 0.9a
Release: 3mdk
Copyright: GPL
Group: Development/Other
Source: ftp://metalab.unc.edu/pub/Linux/system/console/cdialog-0.9a.tar.bz2
Obsoletes: dialog
Provides: dialog
BuildRoot: /var/tmp/dialog-root

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q
make depend

%build
make OPTIM="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}

make PREFIX=$RPM_BUILD_ROOT/usr BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install

strip $RPM_BUILD_ROOT/usr/bin/dialog


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README samples
/usr/bin/dialog
/usr/man/man1/dialog.1.bz2

%changelog
* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9a-3mdk
- fix group 

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- put all make's in the %%build section

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- cdialog 0.9a
- remove some patches

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
